@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Caveat+Brush&display=swap');

* { text-decoration: none; list-style: none; box-sizing: border-box; margin: 0; padding: 0; outline: 0; border: 0; -webkit-tap-highlight-color: transparent; }
:root {
    --color-primary: #c2fc03;

    --color-gray-0: #000;
    /*--color-gray-100: #1f1e1e;*/
    /*--color-gray-100: #151414;*/
    --color-gray-100: #0f0f0f;
    --color-gray-200: #26313c;
    --color-gray-300: #29374a;
    --color-gray-400: #5b6879;
    --color-gray-500: #7e8c9e;
    --color-gray-600: #8f9dae;
    --color-gray-700: #b4bdc7;
    --color-gray-800: #e0e6ed;
    --color-gray-900: #fff;

    --box-shadow: rgba(255, 255, 255, 0.692) 0px 0px 15px 5px;

    --radius-1: 0.3rem;
    --radius-2: 0.6rem;
    --radius-3: 0.9rem;
    --radius-4: 1.5rem;
    --radius-5: 2.2rem;

    --transition: all 300ms ease;

    --container-w-lg: 80%;
    --container-w-md: 90%;
    --container-w-sm: 92%;
    
    --bg-btn-nav-100: #1f1e1e;

    /* home */
    /*--border-home: none;*/
    --border-home: 1px solid rgba(255, 255, 255, 0.9);

    /* EFFECT TYPING TEXT  */
    --value-dark: #c2fc03;


    /* about me*/
    --about-main-color: #c2fc03;
    --border: 2px solid #cccccc;
    --border-content: 2px solid rgba(255, 249, 249, 0.16);
    --box-shadow-skill: #c2fc03 0px 0px 15px 5px;

    /* projects */
    --projects-color-dark: #111;
    --projects-color-light: #fff;
    --projects-main-color: #c2fc03;
    --border-projects: 2px solid #cccccc;
    --light-black: #cccccc;
    --box-shadow-projects-dark: rgba(0, 0, 0, 0.692) 0px 0px 15px 5px;
    --box-shadow-projects-light: rgba(255, 255, 255, 0.692) 0px 0px 15px 5px;
    --box-shadow-projects: #c2fc03 0px 0px 15px 5px;

    /* scroll up */
    --box-shadow-scroll-up: 0 0 0 0 rgba(255, 255, 255, 0.9);
    --box-shadow-scroll-up-anime-1: 0 0 0 40px rgba(255, 255, 255, 0);
    --box-shadow-scroll-up-anime-2: 0 0 0 0 rgba(255, 255, 255, 0);

    /* cursor */
    --fundal-cursor: #fff;

    /* progess bar */
    --bk-progres-bar: #c2fc03;
    --shadow-progress-bar: rgba(255, 255, 255, 0.692) 0px 0px 15px 5px;

    /* mouse scroll anime */
    --bk-mouse-scroll-dw: #c2fc03;
}

.light {
    --color-gray-0: #fff;
    --color-gray-100: #e1e4e6;
    --color-gray-200: #d9dfe7;
    --color-gray-300: #bdcad6;
    --color-gray-400: #bbbbbb;
    --color-gray-500: #9c9c9c;
    --color-gray-600: #6a6a6a;
    --color-gray-700: #4b5156;
    --color-gray-800: #33373a;
    --color-gray-900: #0f1316;

    --box-shadow: rgba(0, 0, 0, 0.692) 0px 0px 15px 5px;

    --bg-btn-nav-100: #e1e4e6;

    /* home */
    --border-home: 1px solid rgba(0, 0, 0, 0.9);

    /* EFFECT TYPING TEXT  */
    --value-dark: #000;
    
    /* about me*/
    --about-main-color: #111;
    --border: 2px solid #000000;
    --border-content: 2px solid rgba(0, 0, 0, 0.9);
    --box-shadow-skill: #000000 0px 0px 15px 5px;;

    /* projects */
    --projects-color-dark: #111;
    --projects-color-light: #fff;
    --projects-main-color: #000000;
    --border-projects: 2px solid #000000;
    --light-black: #cccccc;
    --box-shadow-projects-dark: rgba(0, 0, 0, 0.692) 0px 0px 15px 5px;
    --box-shadow-projects-light: rgba(255, 255, 255, 0.692) 0px 0px 15px 5px;

    /* scroll up */
    --box-shadow-scroll-up: 0 0 0 0 rgba(0, 0, 0, 0.9);
    --box-shadow-scroll-up-anime-1: 0 0 0 40px rgba(0, 0, 0, 0);
    --box-shadow-scroll-up-anime-2: 0 0 0 0 rgba(0, 0, 0, 0);

    /* cursor */
    --fundal-cursor: #cac2c2;

    /* progess bar */
    --bk-progres-bar: #000;
    --shadow-progress-bar: rgba(0, 0, 0, 0.692) 0px 0px 15px 5px;

    /* mouse scroll anime */
    --bk-mouse-scroll-dw: #000;
}

::-webkit-scrollbar { width: 6px; }
::-webkit-scrollbar-track { background-color: var(--color-gray-900); }
::-webkit-scrollbar-thumb { background-color: var(--color-gray-0); }

html { scroll-behavior: smooth; overflow-x: hidden;}

body { font-family: "Montserrat", sans-serif; background: var(--color-gray-100); color: var(--color-gray-900); line-height: 1.6; font-size: 0.9rem; user-select: none; overflow-x: hidden;}

/* CURSOR */
.cursor { display: none; }

@media (min-width: 992px) {

    .cursor {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 75px;
        height: 75px;
        background-color: var(--fundal-cursor);
        mix-blend-mode: exclusion;
        border-radius: 50%;
        transform: translate(-50%, -50%) scale(0.35);
        transition: transform 0.35s;
        pointer-events: none;
        z-index: 999;
    }

    .cursor.hovered {
        transform: translate(-50%, -50%) scale(1.9);
    }

    .cursor.disabled {
        transform: translate(-50%, -50%) scale(0);
    }

    body.light .cursor {
        mix-blend-mode: exclusion;
        background-color: var(--fundal-cursor);
    }

}

.progress_bar {
    position: fixed;
    top: 0;
    left: 0;
    /* de test  */
    /* width: 100%;  */
    width: 0; 
    height: 4px;
    z-index: 2;
    background-color: #c2fc03;
    border-radius: 3px;
}

.container {
    width: var(--container-w-lg);
    margin-inline: auto;
}


.content-title h2 {
    position: relative;
    display: inline-block;
    letter-spacing: 9px;
    transition: 0.5s;
}


a {
    color: var(--color-gray-900);
    font-weight: 500;
}

img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 900;
    line-height: 1.1;
    color: var(--color-gray-900);
}

h1 { font-size: 2.4rem; }
h2 { font-size: 1.8rem; }
h3 { font-size: 1.4rem; }
h4 { font-size: 1rem; }
h5 { font-size: 0.85rem; }
h6 { font-size: 0.75rem; }

.btn {
    display: inline-block;
    width: fit-content;
    padding: 1rem 1.5rem;
    border-radius: var(--radius-3);
    background: var(--color-gray-0);
    color: var(--color-gray-900);
    transition: var(--transition);
}

.btn.primary {
    background: var(--color-primary);
    color: #000;
}

section {
    padding: 8rem 0;
    /* min-height: 100vh;*/
    /*min-height: 100svh;*/
}

section:nth-of-type(odd) {
    background: var(--color-gray-0);
}

[data-reveal] {
    opacity: 0;
    transition: transform 0.6s ease, opacity 0.6s ease;
    will-change: transform, opacity;
}

[data-reveal="up"] {
    transform: translateY(60px);
}

[data-reveal="left"] {
    transform: translateX(-60px);
}

[data-reveal="right"] {
    transform: translateX(60px);
}

[data-reveal="bottom"] {
    transform: translateY(60px);
}

[data-reveal].revealed {
    /* transform: translateX(0); */
    transform: translate(0, 0);
    opacity: 1;
}


/* NAVIGATION */
nav {
    background: var(--color-gray-0);
    padding: 0.6rem;
    border-radius: var(--radius-4);
    position: fixed;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    box-shadow: var(--box-shadow);
}

.nav__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.8rem;
}

nav a {
    width: 2.8rem;
    aspect-ratio: 1/1;
    background: var(--bg-btn-nav-100);
    display: grid;
    place-items: center;
    border-radius: var(--radius-3);
    transition: var(--transition);
}

nav a:hover, nav a.active {
    background: var(--color-primary);
    color: #000;
}

/* main header  */
.mainHeader {
    height: 100vh;
    /*min-height: 100vh;*/
    /*min-height: 100svh;*/
    /* nu era cazul. e de pus la project */
    /* min-height: fit-content; */
    display: grid;
    place-items: center;
}


.mainHeader__container {
    text-align: center;
    height: 100%;
    position: relative;
}

.mainHeader_content {
    margin: 12rem auto 1.5rem;
    /* opacity: 0; */
    /* animation: animateMainImage 2s 1s ease-out forwards; */
    width: max-content; 
}

.headline-wrapper,
.tagline-wrapper {
    overflow: hidden;
}

.tagline-wrapper {
    width: max-content;
    margin: 0 auto;
}

.main-headline {
    font-size: clamp(2.5rem, 8vw, 6rem);
    font-weight: 800;
    line-height: 1.3;
    letter-spacing: -1px;
    -webkit-text-stroke: 1px var(--value-dark);
    font-family: sans-serif;
}

.tagline {
    font-size: clamp(1.2rem, 3vw, 1.7rem);
    font-weight: 700;
    opacity: 0.9;
    font-family: "Caveat Brush", cursive;
}

.mainHeader_cta {
    margin-top: 2rem;
    display: flex;
    justify-content: center;
    gap: 1.2rem;
    opacity: 0;
    transform: translateY(6rem);
    animation: fadeUp 2s 1.5s ease-out forwards;
}

.mainHeader_cta .btn:first-child {
    border: var(--border-home);
}

@keyframes fadeUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.mainHeader_cta a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.mainHeader_cta a i {
    font-size: 1.3rem;
}

.header_socials {
    position: absolute;
    right: 0;
    bottom: 12rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;

    opacity: 0;
    transform: translateX(6rem);
    animation: fadeLeft 2s 2s ease-out forwards;
}

@keyframes fadeLeft {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.header_socials a {
    background: var(--color-primary);
    color: #000;
    display: grid;
    place-items: center;
    padding: 1.2rem;
    border-radius: var(--radius-2);
    transition: var(--transition);
}

.header_socials a i {
    font-size: 1.5rem;
}

.header_socials a:hover {
    background: var(--color-gray-900);
    color: var(--color-gray-0);
}

.theme_btn {
    position: fixed;
    top: 2rem;
    right: 10%;
    background: var(--color-gray-0);
    color: var(--color-gray-900);
    width: 2.7rem;
    height: 2.7rem;
    font-size: 1.3rem;
    border-radius: var(--radius-3);
    display: grid;
    place-items: center;
    z-index: 2;
    cursor: pointer;
    /*transition: var(--transition);*/
    transition: background 0.25s, color 0.25s, transform 0.15s;
    border: 2px solid var(--color-gray-900);
    box-shadow: var(--box-shadow);
}

/* HOVER doar pe desktop */
@media (hover: hover) and (pointer: fine) {
    .theme_btn:hover {
        background: var(--color-gray-900);
        color: var(--color-gray-0);
    }
}


.theme_btn:active {
    transform: scale(0.96);
}




@media(max-width: 960px) {
    .header_socials {
        display: none;
    }

    .mainHeader p {
        width: 100%;
    }
}


@media(max-width: 600px) {
    .mainHeader {
        min-height: 100vh;
    }

    .mainHeader_content {
        margin-top: 10rem;
    }

    .mainHeader p {
        width: 100%;
    }
}

/* ======================================= */
/* mouse scroll anime */
/* ======================================= */
.mouse-scroll {
    width: 2.1em;
    height: 4em;
    border: solid 2px var(--bk-mouse-scroll-dw);
    border-radius: 32px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 10rem;
    opacity: 1;
    transition:
        opacity 0.6s ease,
        transform 0.6s ease;
    animation: scrollDown 2.5s linear infinite alternate;
}

@keyframes scrollDown {
    0% { transform: translateX(-50%) translateY(-12px); }
    100% { transform: translateX(-50%) translateY(12px); }
}

.mouse-scroll.hide {
    opacity: 0;
    transform: translateX(-50%) translateY(12px);
}

.mouse-scroll::before {
    content: '';
    width: 0.4em;
    height: 0.4em;
    border-radius: 50%;
    background-color: var(--bk-mouse-scroll-dw);
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    animation: scrolldown 2.5s infinite;
}

@keyframes scrolldown {
    0% {
        bottom: 75%;
        opacity: 1;
    }
    100% {
        bottom: 25%;
        opacity: 0;
    }
}

@media(max-width: 960px) {
    .mouse-scroll {
        bottom: 12rem;
    }
}

/* ======================================= */
/* about */
/* ======================================= */
.about {
    height: 100vh;
    /* min-height: 100vh; */
    min-height: fit-content;
}

.container .content h2 {
    width: fit-content;
}

.container .content h2 span {
    color: var(--value-dark);
    text-transform: uppercase;
}

.container .content .flex {
	display: flex;
	align-items: center;
    margin-top: 3rem;
    position: relative;
}

.container .content .flex span {
	font-size: 1rem;
	font-weight: 700;
	text-transform: uppercase;
	line-height: 1;
	letter-spacing: 0.3rem;
	padding: 0.5rem 1.5rem;
	border: 1px solid transparent;
	cursor: pointer;
	margin-bottom: -0.1rem;
    transition: 1s ease-out;
}

.container .content .flex span:hover {
    background-position: -100%;
}

.container .content .flex span.active {
	border-bottom: var(--border);
	z-index: 1;
	color: var(--about-main-color);
}

.container .content .column .experience {
	display: none;
}

.timeline-section {
	padding: 50px 15px;
}

.timeline-items {
	max-width: 1000px;
	margin:auto;
	display: flex;
	flex-wrap: wrap;
	position: relative;
}

.timeline-items::before {
	content: '';
	position: absolute;
	width: 2px;
	height: 100%;
	background-color: var(--about-main-color);
	left: calc(50% - 1px);
}

.timeline-item {
	margin-bottom: 40px;
	width: 100%;
	position: relative;

    perspective: 1000px;
}

.timeline-item:last-child {
	margin-bottom: 0;
}

.timeline-item:nth-child(odd) {
    padding-right: calc(50% + 30px);
	text-align: right;
}

.timeline-item:nth-child(even) {
    padding-left: calc(50% + 30px);
}

.timeline-dot {
	height: 16px;
	width: 16px;
	background-color: var(--about-main-color);
	position: absolute;
	left: calc(50% - 8px);
	border-radius: 50%;
	top:10px;
}

.timeline-content {
	padding: 30px;
	cursor: pointer;
	border-radius: 20px;
    border: var(--border-content);
	background: transparent;
	backdrop-filter: blur(25px);
    /* transition: all 0.4s; */
    box-shadow: var(--box-shadow);

    /* effect parallax  */
    transform-style: preserve-3d;
    will-change: transform;
    transition: box-shadow 0.3s ease, border-color 0.3s ease;
}

.timeline-content .timeline-date{
	font-size: 14px;
}

.timeline-content p {
	font-size: 16px;
	font-weight: 300;
	line-height: 22px;
    margin:0 0 6px;
}

.timeline-item .timeline-content h3 {
    font-weight: 700;
    margin:0 0 6px;
    font-size: 15px;
    border-top: var(--border-content);
    padding-top: 0.5rem;
}


.timeline-item .timeline-content h4 {
    font-weight: 700;
    margin:0 0 6px;
    border-top: var(--border-content);
    padding-top: 0.5rem;
}

.about .container .content .column .experience.active,
.about .container .content .column .education.active,
.about .container .content .column .skills.active {
	display: block;
}

.about .container .content .column .education,
.about .container .content .column .skills {
	display: none;
}

.skills-container {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 2rem;
}

.skills-content {
    font-size: 1.2rem;
    cursor: pointer;
}

.skills-header {
    display: flex;
    padding: 2rem 5rem;
    align-items: center;
    margin-bottom: 2rem;
    cursor: pointer;
	border-radius: 20px;
    border: var(--border-content);
	background: transparent;
	backdrop-filter: blur(25px);
    transition: all 0.4s;
    box-shadow: var(--box-shadow);
}

.skills-icon {
    margin-right: 0.7rem;
    color: var(--color-gray-900);
}

.skills-title {
    font-size: 1.1rem;
    color: var(--color-gray-900);
}

.skills-arrow {
    font-size: 1.6rem;
    margin-left: auto;
    transition: .4s;
    color: var(--color-gray-900);
}

.skills-list.grid {
    /* effect parallax  */
    perspective: 1000px;
}

.skills-data {
    cursor: pointer;
    border-radius: 20px;
    border: var(--border-content);
    background: transparent;
    backdrop-filter: blur(25px);
    /* transition: all 0.4s; */

    /* effect parallax  */
    transform-style: preserve-3d;
    will-change: transform;
    transition: box-shadow 0.3s ease, border-color 0.3s ease;
}

.skills-data:hover {
    box-shadow: var(--box-shadow-skill);
}

.skills-list {
    row-gap: 1.5rem;
    padding-left: 2.7rem;
    padding-right: 2.7rem;
}

.skills-titles {
    padding: 0.5rem;
    text-align: center;
}

.skills-titles h3 {
    color: var(--color-gray-900);
    font-size: 1.1rem;
}

.skills-close .skills-list {
    height: 0;
    overflow: hidden;
}

.skills-open .skills-list {
    height: max-content;
}

.skills-open .skills-arrow {
    transform: rotate(180deg);
}

/* media query  */
@media(max-width:1520px) {
    .skills-title {
        font-size: 0.8rem;
    }
}

@media(max-width:1225px) {
    .skills .timeline-section .skills-container .skills-list {
        margin-bottom: 25px;
    } 

    .skills-header {
        padding: 2rem 3rem;
    }
}

@media(max-width:878px) {
    .skills .timeline-section .skills-container  {
        display: flex;
        flex-direction: column;
    }
}

@media(max-width:768px) {
    .timeline-items::before {
		left: 7px;
	}

    .timeline-item:nth-child(odd) {
		padding-right: 0;
		text-align: left;
	}
    
	.timeline-item:nth-child(odd),
	.timeline-item:nth-child(even) {
		padding-left: 37px;
	}

    .timeline-dot {
		left:0;
	}
}

@media(max-width:576px) {
    .about .container .content .flex {
        display: flex;
        flex-direction: column;
    }
}


/*========== PROJECTS ==========*/
.portfolio {
    height: 100vh;
    min-height: fit-content;
}

.portfolio-filter-nav {
    margin: 4rem 0;
    position: relative;
}

.portfolio-filter-nav .portfolio-nav-item {
    display: flex;
    justify-content: center;
    text-align: center;
    display: inline-block;
    transition: .7s;
}

.portfolio-nav-item a {
    font-size: 1rem;
    font-weight: 700;
    text-transform: uppercase;
    line-height: 1.4;
    letter-spacing: 0.3rem;
    padding: 0.5rem 1.5rem;
    border: 1px solid transparent;
    cursor: pointer;
    margin-bottom: -0.1rem;
    transition: 1s ease-out;
}

.portfolio-nav-item a.active {
	border-bottom: var(--border-projects);
	z-index: 1;
	color: var(--projects-main-color);
    /* -webkit-text-stroke: 0.5px #000; */
}

.portfolio-nav-item a:hover {
    background-position: -100%;
}

.portfolio-wrapper {
    display: grid;
    justify-content: center;
    text-align: center;
    transition: .7s;
}

.portfolio-wrapper .portfolio-col {
    display: grid;
    gap: 40px;
    grid-template-columns: repeat(3, 1fr); 
}

@media (max-width: 1200px) {
    .portfolio-wrapper .portfolio-col {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .portfolio-wrapper .portfolio-col {
        grid-template-columns: 1fr;
    }
}

.portfolio-item.development img {
    width: 100%;
    border-radius: 20px;
    height: 350px;
    object-fit: cover;
    box-shadow: var(--box-shadow);
    transition: 1s all ease-out;
}

.portfolio-item.design img {
    width: 100%;
    border-radius: 20px;
    height: 350px;
    object-fit: cover;
    box-shadow: var(--box-shadow);
    transition: 0.7s all ease-out;
}

.portfolio-item.development:hover img, 
.portfolio-item.design:hover img {
    box-shadow: var(--box-shadow-projects);
}

.portfolio-item {
    position: relative;
    cursor: pointer;
    transition: 0.5s;
    transition: opacity 0.4s ease, transform 0.4s ease;
}

/* effect hide cards to top  */
.portfolio-item.hiding {
    opacity: 0;
    transform: scale(0.95);
    pointer-events: none;
}

.portfolio-item.hide {
    display: none;
}

.portfolio-item-content {
    transform: scale(0);
    position: absolute;
    height: 100%;
    width: 100%;
    border-radius: 20px;
    top: 0;
    padding: 30px;
    transition: 0.5s;
}

.portfolio-item-content h6 {
    padding: 1.2rem;
    font-size: 1rem;
    text-align: center;
    color: var(--light-black);
    border-bottom: 2px solid var(--light-black);
}

.portfolio-item-content .icons {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-top: 1rem;
}

.portfolio-item-content i {
    font-size: 1rem;
    text-align: center;
    color: var(--projects-color-dark);
    padding: 1rem;
    background: var(--projects-color-light);
    box-shadow: var(--box-shadow-projects-dark);
    border-radius: 50%;
    transition: 0.5s all ease-out;
}

.portfolio-item-content .tools {
    margin-top: 6px;
    padding: 1.2rem;
    font-size: 1rem;
    text-align: center;
    color: var(--light-black);
    /*width: max-content;*/
    /*margin: 0 auto;*/
}


.portfolio-item-content i:hover {
    box-shadow: var(--box-shadow-projects-light);
    background-color: var(--projects-color-dark);
    color: var(--projects-color-light);
}

.portfolio-item:hover .portfolio-item-content {
    background: rgba(0, 0, 0, 0.74);
    transform: scale(1);
    transition: .8s;
    border-radius: 20px;
    backdrop-filter: blur(10px);
    border: 1px solid var(--color-gray-0);
    box-shadow: inset var(--box-shadow-projects-light);
}

.portfolio-wrapper.extend-portfolio {
    margin-top: 15px;
}

    .portfolio-wrapper.hidden {
        display: none;
    }

    .show-animation {
        animation: fadeIn 0.3s ease-in-out;
    }

    @keyframes fadeIn {
        0% {
            opacity: 0;
        }
        100% {
            opacity: 1;
        }
    }

    .load-more-button {
        background: transparent;
        display: block;
        margin: 20px auto;
        padding: 15px 25px;
        margin-top: 20px;
        font-size: 13px;
        opacity: .8;
        border: var(--border-projects);
        border-radius: 20px;
        cursor: pointer;
        color: var(--color-gray-900);
    }

    .load-more-button:hover {
        color: var(--color-gray-900);
        box-shadow: var(--box-shadow);
    }

@media(max-width:768px) {
    .portfolio-filter-nav {
        display: flex;
        flex-direction: column;
        justify-content: start;
        text-align: left;
        row-gap: 1rem;
    }
}

@media(max-width:451px) {
    .portfolio-item.design,
    .portfolio-item.development {
        max-width: 90%;
        margin: auto;
    }
}


@media(max-width:400px) {
    .portfolio-item.design,
    .portfolio-item.development {
        max-width: 80%;
        margin: auto;
    }
}

@media(max-width:280px) {
    .portfolio-item.design,
    .portfolio-item.development {
        max-width: 60%;
        margin: auto;
    }
}


/* CONTACT */
.contact {
    height: 100vh;
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    gap: 50px;
    /* min-height: 100vh; */
    overflow: hidden;
    margin-top: 3rem;
}

.contact .container h2 
{
    position: absolute;
    width: fit-content;
    /* margin-top: -138px; */
}

.contact .container h2 span {
    color: var(--value-dark);
    text-transform: uppercase;
}

.ticker {
    /* padding: 1vw; */
    white-space: nowrap;
    transition: box-shadow 0.3s ease; 
    margin-top: 3rem;
}

.ticker:first-child {
    background-color: #c2fc03;
    /* transform: rotateZ(-2deg); */
    transform: rotateZ(-6deg);
    scale: 1.1;
    ::selection { color: #c2fc03; background: #161616; }
}

.ticker:first-child:hover {
    box-shadow: var(--box-shadow);
}

.ticker:last-child:hover {
    box-shadow: var(--box-shadow);
}

.ticker:last-child {
    /* background-color: #2e2d2d; */
    background-color: #1f1e1e;
    transform: rotateZ(6.5deg);
    scale: 1.1;
}

.ticker-wrap {
    display: flex;
    gap: 20px;
    align-items: center; 
    padding: 16px 0; 
}

.ticker-text {
    display: flex;
    align-items: center;
    gap: 0.4em;
    line-height: 1;
    color: #000;
    font-size: clamp(30px, 3.375vw, 60px);
    font-weight: 600;
    letter-spacing: -0.02em;
}

.ticker:last-child .ticker-text {
    color: #fff;
}

.ticker-text i {
    display: inline-flex;
    align-items: center;
    vertical-align: middle;
    font-size: 1.1em;
}

.accent {
    color: #0000008f;
    font-weight: 500;
    font-size: 1.1em;
    font-family: "Caveat Brush", cursive;
    cursor: pointer;
}

.ticker:last-child .accent {
    color: #c2fc03;
}

/*.contact .copyright {*/
/*    color: #000;*/
/*    background-color: #c2fc03;*/
/*    font-size: clamp(30px, 3.375vw, 60px);*/
/*    font-family: "Caveat Brush", cursive;*/
/*    text-align: center;*/
/*}*/

.contact .section-copyright {
    width: 100%;
    color: #000;
    background-color: #c2fc03;
}

.contact .copyright {
    font-size: clamp(30px, 3.375vw, 60px);
    font-family: "Caveat Brush", cursive;
    width: max-content;
    margin: 0 auto; 
}

@media (max-width:1024px){

  .contact-tickers{
    margin: 20px 0;
  }

}

/*========== SCROLL UP ==========*/
.scrollup {
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    /* right: 10.3rem; */
    right: 10%;
    bottom: -20%;
    border: var(--border-content);
    border-radius: 50%;
    background: transparent;
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(10px);
    opacity: .8;
    padding: 1rem 1rem;
    z-index: 10;
    transition: .4s;
    color: var(--color-gray-900);
}

.scrollup:hover {
    box-shadow: var(--box-shadow);
    background: var(--color-gray-900);
}

.scrollup:hover i {
    color: var(--color-gray-0);
}

.scrollup:after, 
.scrollup:before {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: transparent;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-animation-delay: .9s;
    animation-delay: .9s;
    content: "";
    position: absolute;
    -webkit-box-shadow: var(--box-shadow-scroll-up);
    box-shadow: var(--box-shadow-scroll-up);
    -webkit-animation: ripple 3s infinite;
    animation: ripple 3s infinite;
    -webkit-transition: all .4s ease;
    transition: all .4s ease;
}

.scrollup:after {
    -webkit-animation-delay: .6s;
    animation-delay: .6s;
}

.scrollup-icon {
    font-size: 2rem;
    color: var(--color-gray-900);
}

/* Show scroll */
.show-scroll {
    bottom: 5rem;
}

@-webkit-keyframes ripple {
    70% {
        -webkit-box-shadow: var(--box-shadow-scroll-up-anime-1);
                box-shadow: var(--box-shadow-scroll-up-anime-1);
    }
    100% {
        -webkit-box-shadow: var(--box-shadow-scroll-up-anime-2);
                box-shadow: var(--box-shadow-scroll-up-anime-2);
    }
}

@keyframes ripple {
    70% {
        -webkit-box-shadow: var(--box-shadow-scroll-up-anime-1);
                box-shadow: var(--box-shadow-scroll-up-anime-1);
    }
    100% {
        -webkit-box-shadow: var(--box-shadow-scroll-up-anime-2);
                box-shadow: var(--box-shadow-scroll-up-anime-2);
    }
}

@media(max-width: 960px) {
    .scrollup {
        right: 3rem;
    }
}

@media(max-width: 600px) {
    .scrollup {
        display: none;
    }
}

/*========== SCROLL UP ==========*/

/* MEDIA QUERY ======== UNIVERSAL =======  */
@media(max-width: 960px) {
    body {
        font-size: 1rem;
    }

    .container {
        width: var(--container-w-md);
    }

    section {
        padding-block: 6rem;
    }

    .theme_btn {
        right: 5%;
    }
}


@media(max-width: 600px) {
    .container {
        width: var(--container-w-sm);
    }

    .theme_btn {
        right: 4%;
    }
}


@media(max-width: 440px) {
    .mainHeader_cta {
        flex-direction: column;
        
    }

    .mainHeader_cta a {
        margin-inline: auto;
    }
}